@charset "UTF-8";

body {
    background-color: gray;
    background-image: url("images/christmasBG.jpg");
    background-repeat: no-repeat;
    /* Prevent background image from repeating */
    background-size: cover;
    /* Optional: Cover the entire area of the div */
    background-position: center;
    /* Optional: Center the background image */
}

/* CSS Document */
ul li {
    font-size: 17px;
    margin-bottom: 10px;
    text-align: justify;
    line-height: 15px;
    list-style-position: outside;
    padding-right: 10%;
}

ol li {
    font-size: 17px;
    margin-bottom: 10px;
}

ol {
    padding-left: 60px;
}

td,
th {
    font-size:18px;
    border: 1px solid black;

}

tr:nth-child(even) {
    background-color: #dddddd63;
}

.page {
    padding-left: 25%;
    padding-right: 25%;
}

#christmasBanner {
    margin-top: 40px;
    box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.3);
}


.container {
    display: flex;
    flex-wrap: wrap;
    padding-right: 40px;
    padding-left: 40px;

}

.container .left,
.container .main,
.container .right {
    box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.3);
    background-color: rgba(255, 255, 255, .15);
    backdrop-filter: blur(10px);
    padding: 20px;
    box-sizing: border-box;
    line-height: 10px;
}

.container .left {
    width: 33.33%;
    border-top: 2px gray;
    border-bottom: 2px gray;
    border-left: 2px gray;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

.container .main {
    width: 33.33%;
    border: 2px gray;
}

.container .right {
    width: 33.33%;
    border-top: 2px gray;
    border-bottom: 2px gray;
    border-right: 2px gray;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}

@media screen and (max-width: 1250px) {

    .page {
        padding-left: 8%;
        padding-right: 8%;
    }

    /* The width is 100%, when the viewport is 800px or smaller */
}

@media screen and (max-width: 800px) {

    .container .left,
    .container .main,
    .container .right {
        width: 100%;
        /* The width is 100%, when the viewport is 800px or smaller */
    }

    .container .left {
        border: 2px gray;
        border-top-left-radius: 10px;
        border-top-right-radius: 10px;
        border-bottom-left-radius: 0px;
    }

    .container .main {
        border-top: 0px;
    }

    .container .right {
        border: 3px gray;
        border-top: 0px;
        border-top-right-radius: 0px;
        border-bottom-left-radius: 10px;
    }
}

.paragraph1 {
    font-size: 20px;
    color: black;
    margin: 30px;
    text-align: center;
}


.ingredientContainer {
    display: flex;
    flex-wrap: wrap;
    padding-right: 60px;
    padding-left: 60px;
}

.ingredientContainer .left,
.ingredientContainer .right {
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.3);
    background-color: rgba(255, 255, 255, .15);
    backdrop-filter: blur(10px);
    padding-right: 20px;
    padding-left: 20px;
    box-sizing: border-box;
    line-height: 10px;
}

.top {
    box-shadow: 5px 0px 10px rgba(0, 0, 0, 0.3);
    background-color: rgba(255, 255, 255, .15);
    backdrop-filter: blur(10px);
    width: 100%;
    border-top: 3px gray;
    border-left: 3px gray;
    border-right: 3px gray;
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
}

.left {
    width: 50%;
    border-bottom: gray;
    border-left: 3px gray;
    border-bottom-left-radius: 10px;
}

.right {
    width: 50%;
    border-bottom: 3px gray;
    border-right: 3px gray;
    border-bottom-right-radius: 10px;
}

@media screen and (max-width: 800px) {

    .ingredientContainer .left,
    .ingredientContainer .right,
    .ingredientContainer .top {
        width: 100%;
        /* The width is 100%, when the viewport is 800px or smaller */
    }

    .ingredientContainer .top {
        border-top-left-radius: 10px;
        border-top-right-radius: 10px;
    }

    .ingredientContainer .left {
        border: 3px solid black;
    }

    .ingredientContainer .right {
        border-left: 3px solid black;
        /*border-bottom-left-radius: 15px;
        border-bottom-right-radius: 15px;*/
    }
}

.processContainer {
    display: flex;
    flex-wrap: wrap;
    padding-right: 40px;
    padding-left: 40px;
}

.processContainer .left,
.processContainer .main,
.processContainer .right {
    box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.3);
    background-color: rgba(255, 255, 255, .15);
    backdrop-filter: blur(10px);
    padding: 30px;
    box-sizing: border-box;
    line-height: 10px;
}

.processContainer .left {
    width: 33.33%;
    border-top: 3px gray;
    border-bottom: 3px gray;
    border-left: 3px gray;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px;
}

.processContainer .main {
    width: 33.33%;
    border: 3px gray;
}

.processContainer .right {
    width: 33.33%;
    border-top: 3px gray;
    border-bottom: 3px gray;
    border-right: 3px gray;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}

@media screen and (max-width: 800px) {

    .processContainer .left,
    .processContainer .main,
    .processContainer .right {
        width: 100%;
        /* The width is 100%, when the viewport is 800px or smaller */
    }

    .processContainer .left {
        border: 3px solid black;
        border-top-left-radius: 15px;
        border-top-right-radius: 10px;
        border-bottom-left-radius: 0px;
    }

    .processContainer .main {
        border-top: 0px;
    }

    .processContainer .right {
        border: 3px solid black;
        border-top: 0px;
        border-top-right-radius: 0px;
        border-bottom-left-radius: 10px;
    }
}

.instructionsContainer {
    padding: 50px;
    padding-left: 100px;
    padding-right: 100px;
}

.instructionsContainer .instructions {
    box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.3);
    background-color: rgba(255, 255, 255, .15);
    backdrop-filter: blur(10px);
    border: 3px gray;
    border-radius: 10px;
    padding: 30px;
    padding-top: 5px;
}

#recipe {
    text-decoration: underline;
    font-weight: bold;
    font-size: 18px;
    padding-left: 30px;
}

.nutritionContainer {
    display: flex;
    flex-wrap: wrap;
    padding-right: 80px;
    padding-left: 80px;
}

.nutritionContainer .nutrition {
    box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.3);
    background-color: rgba(255, 255, 255, .15);
    backdrop-filter: blur(10px);
    width: 100%;
    border: 3px gray;
    border-radius: 10px
}

#nutritionTable {
    border-collapse: collapse;
    width: 90%;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 30px;
}

#gallery {
    text-align: center;
}

.galleryContainer {
    box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.3);
    background-color: rgba(255, 255, 255, .15);
    backdrop-filter: blur(10px);
    display: flex;
    flex-wrap: wrap;
    padding-right: 60px;
    padding-left: 60px;
    padding-bottom: 30px;
    border-radius: 10px;
}

.galleryContainer .pic1,
.galleryContainer .pic2,
.galleryContainer .pic3,
.galleryContainer .pic4 {
    padding: 20px;
    box-sizing: border-box;
    line-height: 10px;
}

.gallery {
    width: 100%;
    /*border-top-left-radius: 15px;
    border-top-right-radius: 15px;*/
}

.pic1 {
    width: 70%;
}

.pic2 {
    width: 30%;
}

.pic3 {
    width: 40%;
}

.pic4 {
    width: 60%;
}

.emailContainer {
    display: block;
    justify-content: center;
    /* Horizontally centers child elements */
    align-items: center;
    /* Vertically centers child elements */
    border: 3px gray;
    border-radius: 10px;
    width: 50%;
    margin-left: auto;
    margin-right: auto;
    padding-top: 15px;
    padding-bottom: 15px;
    box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.3);
    background-color: rgba(78, 76, 76, 0);
    backdrop-filter: blur(10px);
}

.emailContainer .email {
    text-align: center;
    margin-top: 5%;
    margin-bottom: 5%;
    padding-right: 5px;
    box-sizing: border-box;
    line-height: 10px;
    margin-left: 10%;
    margin-right: 10%;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 8px;
    padding-bottom: 8px;
    border-radius: 10px;
}

.oval-button {
    box-shadow: 5px 5px 15px rgba(0, 0, 0, 0.3);
    background-color: rgba(255, 255, 255, .15);
    backdrop-filter: blur(10px);
    border: none; 
    padding: 10px 20px;
    text-align: center;
    display: inline-block;
    font-size: 16px;
    border-radius: 1000px;
    cursor: pointer;
}

.oval-button:hover {
    background-color: lightblue; /* Darker green on hover */
}